﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools.XPMenus;
using Syncfusion.Windows.Forms;

namespace WindowsFormsApplication195
{
    public partial class ThemeChange : MetroForm
    {
        ListControl listControl = new ListControl();

        public ThemeChange()
        {
            InitializeComponent();
            listControl.MdiParent = this;
            listControl.Show();
            listControl.UpdateStyle("Metro");
            this.WindowState = FormWindowState.Maximized;
            this.FormClosing += new FormClosingEventHandler(ThemeChange_FormClosing);
            this.tabbedMDIManager1.TabStyle = typeof(Syncfusion.Windows.Forms.Tools.TabRendererMetro);
            this.CaptionButtonColor = Color.Black;
        }

        void ThemeChange_FormClosing(object sender, FormClosingEventArgs e)
        {
            this.tabbedMDIManager1.LockHostFormUpdate();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            barItem3.Click += new EventHandler(barItem4_Click);
            barItem4.Click += new EventHandler(barItem4_Click);
            barItem5.Click += new EventHandler(barItem4_Click);
        }

        public void MenuCheckRemove(Syncfusion.Windows.Forms.Tools.XPMenus.BarItem Item)
        {
            foreach (BarItem barItem in this.parentBarItem1.Items)
            {
                if (barItem != Item)
                {
                    ((BarItem)barItem).Checked = false;

                }
                else
                    ((BarItem)barItem).Checked = true;
            }
        }
        
        void barItem4_Click(object sender, EventArgs e)
        {
            this.MenuCheckRemove((BarItem)sender);

            if (barItem3.Checked)
            {
                this.mainFrameBarManager1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2007;
                SkinManager.SetVisualStyle(this, VisualTheme.Office2007Blue);
            }
            else if (barItem4.Checked)
            {
                this.mainFrameBarManager1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2010;
                SkinManager.SetVisualStyle(this, VisualTheme.Office2010Blue);
            }
            else if (barItem5.Checked)
            {
                this.mainFrameBarManager1.Style = Syncfusion.Windows.Forms.VisualStyle.Metro;
                SkinManager.SetVisualStyle(this, VisualTheme.Metro);
            }
        }
    }
}
